## linuxtv-dvb-apps 1.1.0

=== util/scan/Makefile ===

CC = gcc
CFLAGS = -MD -g -Wall -O2 -I../../include -I../lib
LFLAGS = -g -Wall

OBJS = diseqc.o dump-zap.o dump-vdr.o scan.o ../lib/lnb.o
SRCS = $(OBJS:.o=.c)

TARGET = scan

$(TARGET): $(OBJS)
	$(CC) $(LFLAGS) -o $(TARGET) $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	$(RM) *.o *.d $(TARGET)

-include $(wildcard *.d) dummy

=== util/szap/Makefile ===
CC = gcc
CFLAGS = -MD -Wall -g -O2 -I../../include -I../lib
LFLAGS = -Wall -g -O2
RM = rm -f

TARGETS = szap tzap czap femon
OBJS = szap.o tzap.o czap.o femon.o

all: $(OBJS) $(TARGETS)
	@echo
	@echo "--------------------------------------------------------------------------------"
	@echo " please copy an appropriate channels.conf-XXX channel list for DVB-S/C/T"
	@echo
	@echo "   to ~/.szap/channels.conf"
	@echo "      ~/.czap/channels.conf"
	@echo "      ~/.tzap/channels.conf"
	@echo
	@echo " and then call ./szap for DVB-S, ./czap for DVB-C or ./tzap for DVB-T"
	@echo "--------------------------------------------------------------------------------"
	@echo

szap: szap.o ../lib/lnb.o
	$(CC) $(LFLAGS) -o szap szap.o ../lib/lnb.o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

.o:
	$(CC) $(LFLAGS) -o $@ $<

clean:
	$(RM) $(TARGETS) core* *.o *.d .depend

-include $(wildcard *.d) dummy

## linuxtv-dvb-apps 1.1.1

=== Makefile ===
# Makefile for linuxtv.org dvb-apps

VERSION := 1.1.0
PACKAGE := linuxtv-dvb-apps-$(VERSION)
CVSROOT := $(shell cat CVS/Root)
RELEASE_TAG := LINUXTV-DVB-$(subst .,_,$(subst -,_,$(VERSION)))

all:

release dist:
	rm -rf release-tmp $(PACKAGE).tar.gz
	mkdir release-tmp
	( cd release-tmp; cvs -d$(CVSROOT) export -r$(RELEASE_TAG) -d$(PACKAGE) dvb-apps )
	find release-tmp -name .cvsignore | xargs rm -v
	( cd release-tmp; tar cjf ../$(PACKAGE).tar.bz2 $(PACKAGE) )
	rm -rf release-tmp
	@echo
	@echo --------------------------------------------------------------------------------
	@echo
	@echo "dist package: ./$(PACKAGE).tar.bz2"
	@echo
	@echo --------------------------------------------------------------------------------
	@echo

%::
#	$(MAKE) -C libdvb2 $(MAKECMDGOALS)
	$(MAKE) -C util $(MAKECMDGOALS)
	$(MAKE) -C test $(MAKECMDGOALS)

=== test/Makefile ===
# Makefile for Linux DVB API Version 3 test programs

CC = gcc
CFLAGS = -g -O2 -W -Wall -I../include

TARGETS = \
	diseqc		\
	set22k		\
	sendburst	\
	setvoltage	\
	setpid		\
	video		\
	test_sections	\
	test_sec_ne	\
	test_pes	\
	test_dvr	\
	test_dvr_play	\
	test_tt		\
	test_av		\
	test_av_play	\
	test_vevent	\
	test_stc	\
	test_stillimage

#	test		\
#	test_audio	\
#	test_front	\
#	test_switch	\
#	test_video	\

all: $(TARGETS)

test_sections test_sec_ne test_pes test_tt: hex_dump.o

clean:
	rm -f $(TARGETS) *.o

=== util/Makefile ===
# Makefile for linuxtv.org dvb-apps/util

%:: FORCE
	$(MAKE) -C lib $(MAKECMDGOALS)
	$(MAKE) -C szap $(MAKECMDGOALS)
	$(MAKE) -C scan $(MAKECMDGOALS)
	$(MAKE) -C dvbnet $(MAKECMDGOALS)
	$(MAKE) -C dvbdate $(MAKECMDGOALS)
	$(MAKE) -C dvbtraffic $(MAKECMDGOALS)
	$(MAKE) -C av7110_loadkeys $(MAKECMDGOALS)

FORCE:

=== util/av7110_loadkeys/Makefile ===
CC = gcc
CFLAGS = -g -Wall -O2

all: av7110_loadkeys evtest

av7110_loadkeys: av7110_loadkeys.o

evtest: evtest.o

av7110_loadkeys.o: av7110_loadkeys.c input_keynames.h

evtest.o: evtest.c input_keynames.h


input_keynames.h: /usr/include/linux/input.h input_fake.h
	@echo 'generate $@...'
	@echo '#ifndef __INPUT_KEYNAMES_H__' > $@
	@echo '#define __INPUT_KEYNAMES_H__' >> $@
	@echo '' >> $@
	@echo '#include <linux/input.h>' >> $@
	@echo '' >> $@
	@echo '#if !defined(KEY_OK)' >> $@
	@echo '#include "input_fake.h"' >> $@
	@echo '#endif' >> $@
	@echo '' >> $@
	@echo '' >> $@
	@echo 'struct input_key_name {' >> $@
	@echo '        const char *name;' >> $@
	@echo '        int         key;' >> $@
	@echo '};' >> $@
	@echo '' >> $@
	@echo '' >> $@
	@echo 'static struct input_key_name key_name [] = {' >> $@
	@for x in `cat /usr/include/linux/input.h input_fake.h | \
	          grep KEY_ | grep "#define" | grep -v KEY_MAX | \
		  cut -f 1 | cut -f 2 -d ' ' | sort | uniq` ; do \
		echo "        { \"`echo $$x | cut -b 5-`\", $$x }," >> $@ \
		; \
	done
	@echo '};' >> $@
	@echo '' >> $@
	@echo '#endif  /* __INPUT_KEYNAMES_H */' >> $@
	@echo '' >> $@


clean:
	$(RM) core* *.o input_keynames.h av7110_loadkeys evtest

=== util/dvbdate/Makefile ===

CC      = gcc
CFLAGS  = -g -O2 -MD -Wall -I. -I../../include
LFLAGS  =

OBJS    = dvbdate.o
TARGET  = dvbdate
DESTDIR = /usr/local/bin/

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LFLAGS)

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) core* *~ *.d

-include $(wildcard *.d) dummy

=== util/dvbnet/Makefile ===

CC      = gcc
CFLAGS  = -g -O2 -MD -Wall -I. -I../../include
LFLAGS  =

OBJS    = dvbnet.o
TARGET  = dvbnet
DESTDIR = /usr/local/bin/

all: version.h $(TARGET)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LFLAGS)

version.h:
	printf '#define VERSION_INFO "%s (Build %s)"\n' \
		"`cat $@.in`" "`date +'%a %b %d %X %Y'`" > $@

install: all
	install -m 755 $(TARGET) $(DESTDIR) 

clean:
	rm -f $(TARGET) $(OBJS) version.h core* *~ *.d

-include $(wildcard *.d) dummy

=== util/dvbtraffic/Makefile ===

dvbtraffic: dvbtraffic.c
	gcc -MD -g -O2 -Wall -I../../include $< -o $@

clean:
	rm -f *.o *.d dvbtraffic

=== util/lib/Makefile ===

CC = gcc
CFLAGS = -MD -g -Wall -O2 -I../../include -I.
LFLAGS = -g -Wall

OBJS = lnb.o
SRCS = $(OBJS:.o=.c)

TARGET = lnb.o

$(TARGET): $(SRCS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	$(RM) *.o *.d $(TARGET)

-include $(wildcard *.d) dummy

=== util/scan/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 
 CC = gcc
-CFLAGS = -MD -g -Wall -O2 -I../../include -I../lib
+CFLAGS = -MD -g -Wall -O2 -I../../include
 LFLAGS = -g -Wall
 
-OBJS = diseqc.o dump-zap.o dump-vdr.o scan.o ../lib/lnb.o
+OBJS = diseqc.o dump-zap.o dump-vdr.o scan.o lnb.o section.o atsc_psip_section.o
 SRCS = $(OBJS:.o=.c)
 
 TARGET = scan

=== util/szap/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 LFLAGS = -Wall -g -O2
 RM = rm -f
 
-TARGETS = szap tzap czap femon
-OBJS = szap.o tzap.o czap.o femon.o
+TARGETS = szap tzap czap azap femon
+OBJS = szap.o tzap.o czap.o azap.o femon.o
 
 all: $(OBJS) $(TARGETS)
 	@echo

=== util/ttusb_dec_reset/Makefile ===
CC	= gcc
RM	= rm -f
CFLAGS	= -g -Wall -O2
LFLAGS	= -g -Wall
LDFLAGS = -lusb

OBJS	= ttusb_dec_reset.o
TARGET	= ttusb_dec_reset

$(TARGET): $(OBJS)
	$(CC) $(LFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	$(RM) *.o $(TARGET)

## linuxtv-dvb-apps 1.1.1%2Brev1500

=== util/Makefile ===
# Makefile for linuxtv.org dvb-apps/util

.PHONY: all clean install

all clean install:
	$(MAKE) -C atsc_epg $@
	$(MAKE) -C av7110_loadkeys $@
	$(MAKE) -C dib3000-watch $@
	$(MAKE) -C dst-utils $@
	$(MAKE) -C dvbdate $@
	$(MAKE) -C dvbnet $@
	$(MAKE) -C dvbtraffic $@
	$(MAKE) -C dvbscan $@
	$(MAKE) -C femon $@
	$(MAKE) -C scan $@
	$(MAKE) -C szap $@
	$(MAKE) -C ttusb_dec_reset $@
	$(MAKE) -C gnutv $@
	$(MAKE) -C gotox $@
	$(MAKE) -C zap $@
	$(MAKE) -C lsdvb $@

=== debian/control ===
Source: linuxtv-dvb-apps
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Tobias Grimm <etobi@debian.org>,
 Jonathan McCrohan <jmccrohan@gmail.com>
Build-Depends: debhelper (>= 9), libx11-dev, libzvbi-dev, linux-libc-dev (>= 3.3)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/linuxtv-dvb-apps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/linuxtv-dvb-apps.git
Homepage: http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps

Package: dvb-apps
Architecture: any
Depends:
 ${shlibs:Depends},
 makedev | udev,
 dtv-scan-tables,
 ${misc:Depends}
Replaces: dvb-utils, nmh (<< 1.5-release-2)
Provides: alevt
Conflicts: libxbase2.0-bin, libxdb-dev, alevt, nmh (<< 1.5-release-2)
Description: Digital Video Broadcasting (DVB) applications
 Applications and utilities geared towards the initial setup, testing
 and operation of an DVB device supporting the DVB-S, DVB-C, DVB-T,
 and ATSC standards.
 .
 Main User Applications:
  . scan               - Scan for channels on your digital TV device
  . dvbscan            - Another frequency scanning tool
  . czap, szap, tzap   - Tuning utilities for DVB-C, DVB-S, DVB-T
  . azap               - Tuning utility for ATSC
  . gnutv              - Tune, watch and stream your TV
 .
 General Utilities:
  . dvbdate    - Set your clock from digital TV
  . dvbnet     - Control digital data network interfaces
  . dvbtraffic - Monitor traffic on a digital device
  . femon      - Monitor the tuning on a digital TV device
  . zap        - *Just* tunes a digital device
  . atsc_epg   - Display ATSC Electronic Program Guide (next programs)
  . alevt      - Teletext browser
 .
 Hardware Specific Utilities:
  . util/av7110_loadkeys    - Load remote keys into an av7110 based card
  . util/dib3000-watch      - Monitor DIB3000 demodulators
  . util/dst-utils          - Utilities for DST based cards
  . util/ttusb_dec_reset    - Reset a TechnoTrends TTUSB DEC device
 .
 Libraries:
  . lib/libdvbapi   - Interface library to digital TV devices
  . lib/libdvbcfg   - Library to parse/create digital TV channel
  . lib/libdvbsec   - Library for Satellite Equipment Control operations
  . lib/libucsi     - Fast MPEG2 Transport Stream SI table parsing library
  . lib/libdvben50221- Implementation of a Cenelec EN 50221 CAM stack
  . lib/libdvbmisc  - Miscellaneous utilities used by the other libraries

## linuxtv-dvb-apps 1.1.1+rev1207

=== lib/libucsi/dvb/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libucsi/dvb

.PHONY: sub-error-dvb

sub-error-dvb:
	$(error You can't use this makefile directly.)

ifneq ($(lib_name),)

objects += dvb/bat_section.o           \
           dvb/dit_section.o           \
           dvb/eit_section.o           \
           dvb/int_section.o           \
           dvb/nit_section.o           \
           dvb/rst_section.o           \
           dvb/sdt_section.o           \
           dvb/sit_section.o           \
           dvb/st_section.o            \
           dvb/tdt_section.o           \
           dvb/tot_section.o           \
           dvb/tva_container_section.o \
           dvb/types.o

sub-install += dvb

else

includes = ac3_descriptor.h                                    \
           adaptation_field_data_descriptor.h                  \
           ait_application_descriptor.h                        \
           ait_application_icons_descriptor.h                  \
           ait_application_name_descriptor.h                   \
           ait_external_application_authorisation_descriptor.h \
           ancillary_data_descriptor.h                         \
           announcement_support_descriptor.h                   \
           application_signalling_descriptor.h                 \
           bat_section.h                                       \
           bouquet_name_descriptor.h                           \
           ca_identifier_descriptor.h                          \
           cable_delivery_descriptor.h                         \
           cell_frequency_link_descriptor.h                    \
           cell_list_descriptor.h                              \
           component_descriptor.h                              \
           content_descriptor.h                                \
           content_identifier_descriptor.h                     \
           country_availability_descriptor.h                   \
           data_broadcast_descriptor.h                         \
           data_broadcast_id_descriptor.h                      \
           default_authority_descriptor.h                      \
           descriptor.h                                        \
           dit_section.h                                       \
           dsng_descriptor.h                                   \
           eit_section.h                                       \
           extended_event_descriptor.h                         \
           frequency_list_descriptor.h                         \
           int_section.h                                       \
           ip_mac_platform_name_descriptor.h                   \
           ip_mac_platform_provider_name_descriptor.h          \
           ip_mac_stream_location_descriptor.h                 \
           linkage_descriptor.h                                \
           local_time_offset_descriptor.h                      \
           mhp_data_broadcast_id_descriptor.h                  \
           mosaic_descriptor.h                                 \
           multilingual_bouquet_name_descriptor.h              \
           multilingual_component_descriptor.h                 \
           multilingual_network_name_descriptor.h              \
           multilingual_service_name_descriptor.h              \
           network_name_descriptor.h                           \
           nit_section.h                                       \
           nvod_reference_descriptor.h                         \
           parental_rating_descriptor.h                        \
           partial_transport_stream_descriptor.h               \
           pdc_descriptor.h                                    \
           private_data_specifier_descriptor.h                 \
           related_content_descriptor.h                        \
           rnt_rar_over_dvb_stream_descriptor.h                \
           rnt_rar_over_ip_descriptor.h                        \
           rnt_rnt_scan_descriptor.h                           \
           rst_section.h                                       \
           s2_satellite_delivery_descriptor.h                  \
           satellite_delivery_descriptor.h                     \
           scrambling_descriptor.h                             \
           sdt_section.h                                       \
           section.h                                           \
           service_availability_descriptor.h                   \
           service_descriptor.h                                \
           service_identifier_descriptor.h                     \
           service_list_descriptor.h                           \
           service_move_descriptor.h                           \
           short_event_descriptor.h                            \
           short_smoothing_buffer_descriptor.h                 \
           sit_section.h                                       \
           st_section.h                                        \
           stream_identifier_descriptor.h                      \
           stuffing_descriptor.h                               \
           subtitling_descriptor.h                             \
           target_ip_address_descriptor.h                      \
           target_ipv6_address_descriptor.h                    \
           target_ip_slash_descriptor.h                        \
           target_ip_source_slash_descriptor.h                 \
           target_ipv6_slash_descriptor.h                      \
           target_ipv6_source_slash_descriptor.h               \
           tdt_section.h                                       \
           telephone_descriptor.h                              \
           teletext_descriptor.h                               \
           terrestrial_delivery_descriptor.h                   \
           time_shifted_event_descriptor.h                     \
           time_shifted_service_descriptor.h                   \
           tot_section.h                                       \
           transport_stream_descriptor.h                       \
           tva_container_section.h                             \
           tva_id_descriptor.h                                 \
           types.h                                             \
           vbi_data_descriptor.h                               \
           vbi_teletext_descriptor.h

include ../../../Make.rules

lib_name = libucsi/dvb

endif

=== lib/libucsi/mpeg/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libucsi/mpeg

.PHONY: sub-error-mpeg

sub-error-mpeg:
	$(error You can't use this makefile directly.)

ifneq ($(lib_name),)

objects += mpeg/cat_section.o      \
           mpeg/metadata_section.o \
           mpeg/odsmt_section.o    \
           mpeg/pat_section.o      \
           mpeg/pmt_section.o      \
           mpeg/tsdt_section.o

sub-install += mpeg

else

includes = audio_stream_descriptor.h                 \
           ca_descriptor.h                           \
           cat_section.h                             \
           content_labelling_descriptor.h            \
           copyright_descriptor.h                    \
           data_stream_alignment_descriptor.h        \
           descriptor.h                              \
           external_es_id_descriptor.h               \
           fmc_descriptor.h                          \
           fmxbuffer_size_descriptor.h               \
           hierarchy_descriptor.h                    \
           ibp_descriptor.h                          \
           iod_descriptor.h                          \
           iso_639_language_descriptor.h             \
           maximum_bitrate_descriptor.h              \
           metadata_descriptor.h                     \
           metadata_pointer_descriptor.h             \
           metadata_section.h                        \
           metadata_std_descriptor.h                 \
           mpeg4_audio_descriptor.h                  \
           mpeg4_video_descriptor.h                  \
           multiplex_buffer_descriptor.h             \
           multiplex_buffer_utilization_descriptor.h \
           muxcode_descriptor.h                      \
           odsmt_section.h                           \
           pat_section.h                             \
           pmt_section.h                             \
           private_data_indicator_descriptor.h       \
           registration_descriptor.h                 \
           section.h                                 \
           sl_descriptor.h                           \
           smoothing_buffer_descriptor.h             \
           std_descriptor.h                          \
           system_clock_descriptor.h                 \
           target_background_grid_descriptor.h       \
           tsdt_section.h                            \
           types.h                                   \
           video_stream_descriptor.h                 \
           video_window_descriptor.h

include ../../../Make.rules

lib_name = libucsi/mpeg

endif

## linuxtv-dvb-apps 1.1.1+rev1273

=== test/Makefile ===
# Makefile for linuxtv.org dvb-apps/test

objects  = hex_dump.o lnb.o

binaries = diseqc          \
           sendburst       \
           set22k          \
           setpid          \
           setvoltage      \
           test_av         \
           test_av_play    \
           test_dvr        \
           test_dvr_play   \
           test_pes        \
           test_sec_ne     \
           test_sections   \
           test_stc        \
           test_stillimage \
           test_tt         \
           test_vevent     \
	   evtest	   \
	   video	   \
	   szap2

.PHONY: all

all: $(binaries)
	make -C libdvbcfg $@
	make -C libdvben50221 $@
	make -C libesg $@
	make -C libucsi $@

$(binaries): $(objects)

clean::
	make -C libdvbcfg $@
	make -C libdvben50221 $@
	make -C libesg $@
	make -C libucsi $@

include ../Make.rules

=== util/Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 .PHONY: all clean install
 
 all clean install:
-	$(MAKE) -C atsc_epg $@
 	$(MAKE) -C av7110_loadkeys $@
 	$(MAKE) -C dib3000-watch $@
 	$(MAKE) -C dst-utils $@
@@ -16,6 +15,4 @@
 	$(MAKE) -C szap $@
 	$(MAKE) -C ttusb_dec_reset $@
 	$(MAKE) -C gnutv $@
-	$(MAKE) -C gotox $@
 	$(MAKE) -C zap $@
-	$(MAKE) -C lsdvb $@

=== lib/libesg/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libesg

includes = types.h

objects  = types.o

lib_name = libesg

CPPFLAGS += -I../../lib

.PHONY: all

all: library

include bootstrap/Makefile
include encapsulation/Makefile
include representation/Makefile
include transport/Makefile

.PHONY: $(sub-install)

install:: $(sub-install)

$(sub-install):
	$(MAKE) -C $@ install

include ../../Make.rules

=== util/scan/Makefile ===
# Makefile for linuxtv.org dvb-apps/util/scan

objects  = atsc_psip_section.o \
           diseqc.o            \
           dump-vdr.o          \
           dump-zap.o          \
           lnb.o               \
           scan.o              \
           section.o

binaries = scan

inst_bin = $(binaries)

removing = atsc_psip_section.c atsc_psip_section.h

CPPFLAGS += -DDATADIR=\"$(prefix)/share\"

.PHONY: all

all: $(binaries)

$(binaries): $(objects)

$(objects): atsc_psip_section.c atsc_psip_section.h

atsc_psip_section.c atsc_psip_section.h:
	perl section_generate.pl atsc_psip_section.pl

include ../../Make.rules

install::
	@echo installing scan files
	@mkdir -p $(DESTDIR)$(sharedir)/dvb/atsc
	@mkdir -p $(DESTDIR)$(sharedir)/dvb/dvb-c
	@mkdir -p $(DESTDIR)$(sharedir)/dvb/dvb-s
	@mkdir -p $(DESTDIR)$(sharedir)/dvb/dvb-t
	@install -m 664 atsc/* $(DESTDIR)$(sharedir)/dvb/atsc/
	@install -m 664 dvb-c/* $(DESTDIR)$(sharedir)/dvb/dvb-c/
	@install -m 664 dvb-s/* $(DESTDIR)$(sharedir)/dvb/dvb-s/
	@install -m 664 dvb-t/* $(DESTDIR)$(sharedir)/dvb/dvb-t/

=== util/szap/Makefile ===
# Makefile for linuxtv.org dvb-apps/util/szap

objects  = lnb.o

binaries = azap  \
           czap  \
           szap  \
           tzap

inst_bin = $(binaries)

.PHONY: all

all: $(binaries)

$(binaries): $(objects)

include ../../Make.rules

## linuxtv-dvb-apps 1.1.1+rev1457

=== debian/changelog ===
linuxtv-dvb-apps (1.1.1+rev1457-4) unstable; urgency=low

  * Add Conflicts: Provides: alevt (Closes: #654818)
    - Fixes "alevt and dvb-apps: error when trying to install together"
  * Add Conflicts: nmh (Closes: #654810)
    - Fixes "dvb-apps and nmh: error when trying to install together"

 -- Mark Purcell <msp@debian.org>  Mon, 27 Feb 2012 21:13:21 +1100

linuxtv-dvb-apps (1.1.1+rev1457-3) unstable; urgency=low

  * Build-depend on libx11-dev (Closes: #655778)
  * Build-depend on libzvbi-dev
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Jan 2012 11:11:50 +0100

linuxtv-dvb-apps (1.1.1+rev1457-2) unstable; urgency=low

  * Fixed upstream "be-Schoten and be-Antwerp run on 506MHz" (Closes: #566336)
  * Add apps_manpages.patch - Thanks Uwe (Closes: #312570)
  * Added & refresh alevt.patch - Thks Uwe 
  * Add Build-Depends: libzvbi-dev

 -- Mark Purcell <msp@debian.org>  Thu, 05 Jan 2012 22:39:17 +1100

linuxtv-dvb-apps (1.1.1+rev1457-1) unstable; urgency=low

  * New upstream release
    - Fixes "dvb-apps: missing channel for es-Sevilla" (Closes: #569077)
    - Fixes "Missing muxes" (Closes: #540660)
    - Fixes "fr-Nantes should have offset of 167000" (Closes: #564204)
  * "Typo in the synopsis" amended (Closes: #651812)
  * Switch to dh - build-depends-on-obsolete-package
  * Drop obsolete Uploaders
  * Drop me-tv obsolete Conflicts
  * source/format 3.0 (quilt) - patch-system-but-no-source-readme build-
    depends-on-obsolete-package
  * Minor update Description
  * ACK NMU - Thks Simon
  * bug-presubj - redirect frequency updates upstream

 -- Mark Purcell <msp@debian.org>  Thu, 05 Jan 2012 18:02:19 +1100

linuxtv-dvb-apps (1.1.1+rev1355-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: linux/videodev.h: Remove legacy V4L1 test app as per upstream
    hg changeset 1424. (Closes: #621964) (LP: #756224) Thanks Daniel T Chen.

 -- Simon Paillard <spaillard@debian.org>  Sat, 10 Dec 2011 10:50:26 +0100

linuxtv-dvb-apps (1.1.1+rev1355-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Thu, 25 Feb 2010 21:13:46 +1100

linuxtv-dvb-apps (1.1.1+rev1273-1) unstable; urgency=low

  * New upstream release
    - (Closes: #526708): "de-Nuernberg out of date"
  * Drop obsolete dvb-utils (etch dummy package only)
  * Update debian/watch - with pointer to Hg version

 -- Mark Purcell <msp@debian.org>  Sun, 03 May 2009 20:16:46 +1000

linuxtv-dvb-apps (1.1.1+rev1207-5) unstable; urgency=low

  [ Stephane Glondu ]
  * Add a patch to explicitly include <stdint.h> and system headers
    first to fix FTBFS (Closes: #525580)
  * Move to new section `video'
  * Add myself to Uploaders and DM-Upload-Allowed
  * Remove versioned dependencies available in oldstable, add
    ${misc:Depends} as complained by Lintian

  [ Tobias Grimm ]
  * Increased standards version to 3.8.1
  * Fixed license references in debian/coypright

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 May 2009 23:00:37 +0200

linuxtv-dvb-apps (1.1.1+rev1207-4) unstable; urgency=low

  * Switch postinst to check for /dev/MAKEDEV
    - /var/lib/dpkg/info/dvb-apps.postinst: line 6: /sbin/MAKEDEV: No such
    file or directory (Closes: #502831)

 -- Mark Purcell <msp@debian.org>  Wed, 22 Oct 2008 22:05:02 +1100

linuxtv-dvb-apps (1.1.1+rev1207-3) unstable; urgency=medium

  [ Tobias Grimm ]
  * Conflict with libxbase2.0-bin, libxdb-dev because of `/usr/bin/zap' which is
    also in those packages (Closes: #492141)
  * Added Tobias Grimm <tg@e-tobi.net> to uploaders
  * Urgency medium for RC bug

  [ Mark Purcell ]
  * dvb-utils Decsription: mention etch to lenny transitions
  * Conflicts: me-tv (<< 0.5.33-2)
    - must conflict against me-tv (<< 0.5.33-2) (Closes: #496557)

 -- Mark Purcell <msp@debian.org>  Fri, 05 Sep 2008 19:49:21 +1000

linuxtv-dvb-apps (1.1.1+rev1207-2) unstable; urgency=low

  * Urgency medium for RC bug
  * Package: dvb-utils - Tranistional dummy package
    - No transitional package for dvb-utils (Closes: #494012)

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jun 2008 16:32:39 +1000

linuxtv-dvb-apps (1.1.1+rev1207-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream mercurial (Hg) release
    - NEW Package: dvb-apps to match upstream name
    - Replaces:/ Conflicts: dvb-utils
  * Fixed Upstream:
    - fr-Paris should have an added offset of 167000 for each value
    (Closes: #478020)
    - scan fails on Eurobird 28.5E (Sky UK) (Closes: #415264)
    - /usr/share/doc/dvb-utils/examples/scan/dvb-t/au-Sydney_North_Shore
    out of date (Closes: #471829)
    - new file /usr/share/doc/dvb-utils/examples/scan/dvb-t/de-Leipzig
    (Closes: #441984)
    - Example file for dvb-t/de-Koeln-Bonn out of date (Closes: #485449)
    - Is the zap util the latest version? (Closes: #408246)
    - /usr/share/doc/dvb-utils/examples/scan/dvb-t/de-Frankfurt out of
    date (Closes: #471210)
    - please ship example DVB-T file for de-Dresden (Closes: #473145)
    - contains /usr/bin/evtest which is also in lineakd (Closes: #438696)
    - LP: #90752, #180332, #191233
  * Patches included upstream:
    - 02_av7110_loadkeys-BTN.dpatch 03_budget_ci_loadkeys.dpatch
    - 05_scanfiles_not_in_cvs_yet.dpatch 06_scan_uk-heathfield-fix.dpatch
    - 04_scanfiles_from_cvs.dpatch
  * Refresh: 01_README.scan.dpatch 09_x_zap_flush_stdout.dpatch
  * debian/rules: Switch to /usr/share/cdbs/1/class/makefile.mk
  * Update debian/copyright
  * debian/control update Description:
  * Install various READMEs
  * Install test/ under doc/dvb-apps/examples

  [ Thomas Schmidt ]
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage, Vcs-Svn and Vcs-Browser fields to debian/control
  * Bumped Standards-Version to 3.7.3
  * Do not ignore errors of "make clean"

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jun 2008 11:00:40 +1000

linuxtv-dvb-apps (1.1.1-3) unstable; urgency=low

  [ Mark Purcell ]
  * Update scan files from 20070804


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: linuxtv-dvb-apps
 Section: video
 Priority: extra
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tobias Grimm <etobi@debian.org>,
- Jonathan McCrohan <jmccrohan@gmail.com>
-Build-Depends: debhelper (>= 9), libx11-dev, libzvbi-dev, linux-libc-dev (>= 3.3)
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/linuxtv-dvb-apps.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vdr-dvb/linuxtv-dvb-apps.git
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org> 
+Uploaders: Mark Purcell <msp@debian.org>, Tobias Grimm <etobi@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8), libx11-dev, libzvbi-dev
+Standards-Version: 3.9.2
+Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/dvb/linuxtv-dvb-apps/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/dvb/linuxtv-dvb-apps/trunk/
 Homepage: http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps
 
 Package: dvb-apps
@@ -15,19 +15,18 @@
 Depends:
  ${shlibs:Depends},
  makedev | udev,
- dtv-scan-tables,
  ${misc:Depends}
-Replaces: dvb-utils, nmh (<< 1.5-release-2)
+Replaces: dvb-utils
 Provides: alevt
-Conflicts: libxbase2.0-bin, libxdb-dev, alevt, nmh (<< 1.5-release-2)
+Conflicts: libxbase2.0-bin, libxdb-dev, alevt, nmh
 Description: Digital Video Broadcasting (DVB) applications
  Applications and utilities geared towards the initial setup, testing
  and operation of an DVB device supporting the DVB-S, DVB-C, DVB-T,
  and ATSC standards.
- .
+ . 
  Main User Applications:
   . scan               - Scan for channels on your digital TV device
-  . dvbscan            - Another frequency scanning tool
+  . dvbscan            - Another frequency scanning tool 
   . czap, szap, tzap   - Tuning utilities for DVB-C, DVB-S, DVB-T
   . azap               - Tuning utility for ATSC
   . gnutv              - Tune, watch and stream your TV

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	# install READMEs into doc/dvb-apps
	cp -a util/av7110_loadkeys/README debian/dvb-apps/usr/share/doc/dvb-apps/README.av7110_loadkeys
	cp -a util/scan/README debian/dvb-apps/usr/share/doc/dvb-apps/README.scan
	cp -a util/szap/README debian/dvb-apps/usr/share/doc/dvb-apps/README.szap
	cp -a util/scan/dvb-h/README debian/dvb-apps/usr/share/doc/dvb-apps/README.dvb-h
	cp -a util/ttusb_dec_reset/README debian/dvb-apps/usr/share/doc/dvb-apps/README.ttusb_dec_reset

## linuxtv-dvb-apps 1.1.1+rev1483

=== debian/changelog ===
linuxtv-dvb-apps (1.1.1+rev1483-2) unstable; urgency=low

  * Conflict with nmh << 1.5-release-2 only, nmh changed the conflicting
    manpage in newer versions (Closes: #694944)

 -- Tobias Grimm <etobi@debian.org>  Wed, 02 Jan 2013 23:15:24 +0100

linuxtv-dvb-apps (1.1.1+rev1483-1) unstable; urgency=low

  * New upstream release
    - Fixes "updated DVB-T frequencies for Italy" (Closes: #613097)
  * Fix "dvbscan: Infinite loop parsing arguments"
    - patch from Vincent Pelletier (Closes: #606728)
  * Added uk-CrystalPalace.diff
    - Fixes "Channel/frequency/etc. updating for London" (Closes: #669715)

 -- Mark Purcell <msp@debian.org>  Sun, 13 May 2012 19:42:13 +1000

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  ${shlibs:Depends},
  makedev | udev,
  ${misc:Depends}
-Replaces: dvb-utils
+Replaces: dvb-utils, nmh (<< 1.5-release-2)
 Provides: alevt
-Conflicts: libxbase2.0-bin, libxdb-dev, alevt, nmh
+Conflicts: libxbase2.0-bin, libxdb-dev, alevt, nmh (<< 1.5-release-2)
 Description: Digital Video Broadcasting (DVB) applications
  Applications and utilities geared towards the initial setup, testing
  and operation of an DVB device supporting the DVB-S, DVB-C, DVB-T,
